Dieser Artikel betrifft die Nintendo Switch

Switch Homebrew-Status: Unterschied zwischen den Versionen

Aus WiiDatabase Wiki
Wechseln zu:Navigation, Suche
(Exploit-Übersicht: Oder gleich so)
K (Exploit-Übersicht)
(18 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 16: Zeile 16:
 
| '''TrustZone-Zugriff'''
 
| '''TrustZone-Zugriff'''
 
| "Alles": TrustZone verwaltet die Hardware und die Crypto-Engine, damit ist bspw. Zugriff auf die Keyslots möglich
 
| "Alles": TrustZone verwaltet die Hardware und die Crypto-Engine, damit ist bspw. Zugriff auf die Keyslots möglich
 +
|-
 +
| '''Bootloader-Zugriff'''
 +
| Alles obige plus Zugriff auf den Bootprozess
 
|}
 
|}
  
 
== Exploit-Übersicht ==
 
== Exploit-Übersicht ==
''Zuletzt aktualisiert: 27. März 2018''
+
{{Überarbeiten}}
 +
''Zuletzt aktualisiert: 29. Dezember 2018''
  
 
Zusätzlich:
 
Zusätzlich:
* Coldboot-Exploit von fail0verflow<ref>[https://wiidatabase.de/shofel2-fail0verflow-zeigt-coldboot-exploit-fuer-nintendo-switch/ shofEL2: fail0verflow zeigt Coldboot-Exploit für Nintendo Switch]</ref>
+
* PegaSwitch bald für < 6.2.0 (interessant für gepatchte Switches)
* Xecuter-Hardmod<ref>[https://wiidatabase.de/switch-xecuter-mod-ist-ein-modchip-funktioniert-auch-loetfrei/ Switch: Xecuter-Mod ist ein Modchip, funktioniert auch lötfrei]</ref>
+
* Fusée Gelée und ShofEL2 Tegra-X1-Bootrom-Exploit für jede Firmware<ref>[https://wiidatabase.de/fusee-gelee-veroeffentlicht-switch-bootrom-exploit-fuer-alle-firmware-versionen/ Fusée Gelée veröffentlicht – Switch Bootrom-Exploit für alle Firmware-Versionen]</ref> (nur alte Switch-Revisionen<ref>[https://wiidatabase.de/neue-switch-revision-patcht-fusee-gelee/ Neue Switch-Revision patcht Fusée Gelée]</ref>)
* "fusée gelée" Coldboot-Exploit<ref name="gelee-trustzone41">[https://wiidatabase.de/switch-trustzone-code-ausfuehrung-auf-4-1-geglueckt-fusee-gelee-coldboot-exploit-gezeigt/ Switch: TrustZone Code-Ausführung auf 4.1 geglückt, "fusée gelée" Coldboot-Exploit gezeigt]</ref>
+
* "dormez vous": Bootrom-Exploit, der in Verbindung mit deja vu genutzt wird<ref>[https://wiidatabase.de/hekate-4-6-leakt-teil-von-deja-vu/ Hekate 4.6 leakt Teil von deja vu]</ref>
 +
* '''Ein Coldboot-Exploit ist nur bis 3.0.1 möglich, darüber nicht mehr'''
  
 
{| class="apptable"
 
{| class="apptable"
Zeile 43: Zeile 48:
 
| style="background: lightgreen; text-align: center;" | {{X}}
 
| style="background: lightgreen; text-align: center;" | {{X}}
 
| style="background: lightgreen; text-align: center;" | {{J}}
 
| style="background: lightgreen; text-align: center;" | {{J}}
| '''Nichts''', Userland-Exploit "nvhax" ist privat<ref name="uebersichtsbeitrag">[https://wiidatabase.de/switch-kernel-zugriff-offenbar-von-2-0-0-bis-3-0-2-moeglich/ Switch: TrustZone Code-Ausführung bis 3.0.2 möglich]</ref> TrustZone-Exploit vorhanden<ref name="gelee-trustzone41" />
+
| '''Nichts'''<ref name="uebersichtsbeitrag">[https://wiidatabase.de/switch-kernel-zugriff-offenbar-von-2-0-0-bis-3-0-2-moeglich/ Switch: TrustZone Code-Ausführung bis 3.0.2 möglich]</ref> TrustZone-Exploit vorhanden<ref name="gelee-trustzone41">[https://wiidatabase.de/switch-trustzone-code-ausfuehrung-auf-4-1-geglueckt-fusee-gelee-coldboot-exploit-gezeigt/ Switch: TrustZone Code-Ausführung auf 4.1 geglückt, "fusée gelée" Coldboot-Exploit gezeigt]</ref>
 
|-
 
|-
 
| [[Nintendo-Switch-Firmware 3.0.0|3.0.0]]
 
| [[Nintendo-Switch-Firmware 3.0.0|3.0.0]]
Zeile 49: Zeile 54:
 
| style="background: lightgreen; text-align: center;" | {{X}}
 
| style="background: lightgreen; text-align: center;" | {{X}}
 
| style="background: lightgreen; text-align: center;" | {{J}}
 
| style="background: lightgreen; text-align: center;" | {{J}}
| '''Userland'''-Exploit "ROhan" und Homebrew Launcher;<ref>[https://wiidatabase.de/switch-homebrew-launcher-fuer-firmware-3-0-0-erschienen/ Switch Homebrew Launcher für Firmware 3.0.0 erschienen]</ref> TrustZone-Exploit soll mit CFW veröffentlicht werden<ref name="uebersichtsbeitrag" />
+
| '''Userland'''-Exploit "ROhan" und Homebrew Launcher<ref>[https://wiidatabase.de/switch-homebrew-launcher-fuer-firmware-3-0-0-erschienen/ Switch Homebrew Launcher für Firmware 3.0.0 erschienen]</ref>
 
|-
 
|-
 
| [[Nintendo-Switch-Firmware 2.0.0|2.0.0]] - [[Nintendo-Switch-Firmware 2.3.0|2.3.0]]
 
| [[Nintendo-Switch-Firmware 2.0.0|2.0.0]] - [[Nintendo-Switch-Firmware 2.3.0|2.3.0]]
Zeile 55: Zeile 60:
 
| style="background: lightgreen; text-align: center;" | {{X}}
 
| style="background: lightgreen; text-align: center;" | {{X}}
 
| style="background: lightgreen; text-align: center;" | {{J}}
 
| style="background: lightgreen; text-align: center;" | {{J}}
| '''Nichts''', TrustZone-Exploit soll mit CFW veröffentlicht werden<ref name="uebersichtsbeitrag" />
+
| Nichts
 
|-
 
|-
 
| [[Nintendo-Switch-Firmware 1.0.0|1.0.0]]
 
| [[Nintendo-Switch-Firmware 1.0.0|1.0.0]]
Zeile 64: Zeile 69:
 
|-
 
|-
 
|}
 
|}
 
=== CFW-Zeitplan ===
 
''Zuletzt aktualisiert: 27. März 2018''
 
 
Die folgenden Firmware-Versionen erhalten zu diesem Zeitpunkt Zugang zur Custom Firmware "Atmosphere"; damit wird auch der jeweilige TrustZone-Exploit öffentlich:<br>
 
'''In den jeweiligen Firmware-"Reihen" kann geupdated werden (bspw. von 3.0.1 auf 4.1.0 oder von 2.1.0 auf 3.0.0)'''
 
 
{| class="apptable"
 
|-
 
! style="text-align:center;" | Firmware
 
! style="text-align:center;" | Wann
 
! style="text-align:center;" | Notizen
 
|-
 
| >= [[Nintendo-Switch-Firmware 5.0.0|5.0.0]]
 
| style="background: salmon; text-align: center;" | Unbekannt
 
| Noch ist zu dieser Firmware nichts bekannt.
 
|-
 
| [[Nintendo-Switch-Firmware 3.0.1|3.0.1]] - [[Nintendo-Switch-Firmware 4.1.0|4.1.0]]
 
| style="background: yellow; text-align: center;" | In weit entfernter Zukunft
 
| Nach dem Release für 2.0.0 - 3.0.0, das kann sofort oder nach einigen Monaten sein, aber definitiv vor dem Release eines Pokémon-Spiels (''SciresM: "3.0.1-4.1.0 will get stuff at a later time, where later could mean immediately or "a few months". In any event everything will be usable before a Pokémon game releases.''" und "''I am preparing for Pokemon to release this year (though who knows whether it will), and Atmosphere will be usable to play Pokemon on versions 1.0.0-4.1.0 via emunand (and use PKHeX etc) -- that is a deadline I refuse to fail to meet"'')
 
|-
 
| [[Nintendo-Switch-Firmware 2.0.0|2.0.0]] - [[Nintendo-Switch-Firmware 3.0.0|3.0.0]]
 
| style="background: yellow; text-align: center;" | In ferner Zukunft
 
| Wenn die CFW weit fortgeschritten ist. (''SciresM: "When the CFW is actually well-developed, deja vu will release, usable on 2.0.0-3.0.0 units."'')
 
|-
 
| [[Nintendo-Switch-Firmware 1.0.0|1.0.0]]
 
| style="background: lightgreen; text-align: center;" | In naher Zukunft
 
| TrustZone-Exploit ist bereits öffentlich als Write-Up. (''SciresM: "Once Atmosphere is somewhat usable, I'll make a public PoC to load it using jamais vu on 1.0.0 units."'') Eine japanische Kopie von "Puyo Puyo Tetris" wird benötigt, da anders das Web-Applet nicht gestartet werden kann.
 
|-
 
|}
 
''Quellen für die Zitate von SciresM: /hbg/''
 
  
 
== Einzelnachweise ==
 
== Einzelnachweise ==

Version vom 29. Dezember 2018, 17:14 Uhr

Diese Wiki-Seite zeigt den aktuellen Status der Switch-Exploits.

Was ist möglich?

Begriff Was ist damit möglich?
Userland/Userspace Einfache Homebrew-Anwendungen, bspw. Emulatoren oder ein Homebrew Launcher
Kernel Tiefere Systemzugriffe, dazu zählen eine Custom Firmware, Sigpatches, Titelverwaltung, etc.
TrustZone-Zugriff "Alles": TrustZone verwaltet die Hardware und die Crypto-Engine, damit ist bspw. Zugriff auf die Keyslots möglich
Bootloader-Zugriff Alles obige plus Zugriff auf den Bootprozess

Exploit-Übersicht

Dieser Artikel oder Abschnitt bedarf einer Überarbeitung. Hilf mit, ihn zu verbessern, und entferne anschließend diese Markierung.

Zuletzt aktualisiert: 29. Dezember 2018

Zusätzlich:

  • PegaSwitch bald für < 6.2.0 (interessant für gepatchte Switches)
  • Fusée Gelée und ShofEL2 Tegra-X1-Bootrom-Exploit für jede Firmware[1] (nur alte Switch-Revisionen[2])
  • "dormez vous": Bootrom-Exploit, der in Verbindung mit deja vu genutzt wird[3]
  • Ein Coldboot-Exploit ist nur bis 3.0.1 möglich, darüber nicht mehr
Firmware Userland Kernel TrustZone-Zugriff Öffentlich
>= 5.0.0 ? ? ?
3.0.1 - 4.1.0 Ja Nein Ja Nichts[4] TrustZone-Exploit vorhanden[5]
3.0.0 Ja Nein Ja Userland-Exploit "ROhan" und Homebrew Launcher[6]
2.0.0 - 2.3.0 Ja Nein Ja Nichts
1.0.0 Ja Ja Ja TrustZone-Exploit "jamais vu" (als Write-Up)[7]

Einzelnachweise